import { Meta, Typeset, Story, Canvas } from '@storybook/blocks';
import { width } from './util/decorator';
import { cuiDemo } from './util/demo';
import { demoCode1, demoCode2 } from './util/typography';
import * as TypographyCodeStories from './Typography-code.stories';

<Meta of={TypographyCodeStories} />

# Code

Inline code elements should be wrapped in `<code></code>`.

<Canvas withSource="open">
  <Story of={TypographyCodeStories.CodeInline} />
</Canvas>

Code blocks should be wrapped in `<pre><code></code></pre>`.

<Canvas withSource="open">
  <Story of={TypographyCodeStories.CodeBlock} />
</Canvas>
